Bug 556012 - 3 leak-plugging c-sets in dos and gpt label-handling
3 leak-plugging c-sets in dos and gpt label-handling
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-16 08:03 EST by Jim Meyering
Modified: 2013-03-13 16:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-17 10:59:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Meyering 2010-01-16 08:03:23 EST
Description of problem: error-path leaks in dos and gpt label-handling
For the actual patches, see http://thread.gmane.org/gmane.comp.gnu.parted.devel/3094

Version-Release number of selected component (if applicable):
parted-2.1-1.fc13.x86_64

How reproducible: NA
Comment 1 Hans de Goede 2010-01-17 10:59:47 EST
Thanks for the report.

This is fixed in rawhide. And for good measure I've added a %check section to the specfile invoking make check.

Regards,

Hans
Comment 2 Jim Meyering 2010-01-17 11:39:24 EST
thanks for the quick work and improved test coverage

Note You need to log in before you can comment on or make changes to this bug.